=== debian/changelog ===
slime (2:2.7-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jun 2014 19:44:15 +0200

slime (2:2.6-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 May 2014 20:55:46 +0200

slime (2:2.5-1) unstable; urgency=low

  * New upstream.
  * Don't crash on nil in load-path; closes: #742426.

 -- Milan Zamazal <pdm@debian.org>  Sat, 05 Apr 2014 17:03:12 +0200

slime (2:2.4-2) unstable; urgency=low

  * Updated to new debian-emacs-policy.
  * emacs24-lucid and emacs24-nox added to dependencies.

 -- Milan Zamazal <pdm@debian.org>  Sat, 29 Mar 2014 23:00:55 +0100

slime (2:2.4-1) unstable; urgency=low

  * New upstream.
  * Standards 3.9.5 (no real change).
  * Depend on recent Emacs.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Mar 2014 13:35:01 +0100

slime (1:20130626-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Mon, 26 Aug 2013 21:53:17 +0200

slime (1:20130416-1) experimental; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Thu, 18 Apr 2013 22:48:15 +0200

slime (1:20120525-2) unstable; urgency=low

  * Support for emacs24.

 -- Milan Zamazal <pdm@debian.org>  Sun, 01 Jul 2012 12:33:48 +0200

slime (1:20120525-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Jun 2012 19:57:35 +0200

slime (1:20120420-2) unstable; urgency=low

  * Set HOME to the current directory before running texi* commands in
    doc/Makefile; closes: #666648.

 -- Milan Zamazal <pdm@debian.org>  Mon, 23 Apr 2012 22:03:50 +0200

slime (1:20120420-1) unstable; urgency=low

  * New upstream.
  * Standards 3.9.3 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 21 Apr 2012 21:42:23 +0200

slime (1:20111027-2) unstable; urgency=low

  * Get slime changelog version from slime, not cl-swank, directory;
    closes: #587345.
  * Always try (require :asdf) before loading asdf.lisp in swank-loader.lisp.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Oct 2011 22:14:09 +0200

slime (1:20111027-1) unstable; urgency=low

  * New upstream.
  * Load ASDF before attempting to use it in swank-loader.lisp;
    closes: #640815, #646037.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Oct 2011 19:50:38 +0200

slime (1:20110806-1) unstable; urgency=low

  * New upstream.
  * Missing build-* targets added to debian/rules.
  * Standards 3.9.2 (no real change).

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

 -- Milan Zamazal <pdm@debian.org>  Sat, 06 Aug 2011 11:04:32 +0200

slime (1:20100722-1) unstable; urgency=low

  * New upstream.
  * Don't set slime-protocol-version at compile time, this is both
    unnecessary and harmful in Debian; closes: #588575.
  * Standards 3.9.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 22 Jul 2010 10:38:15 +0200

slime (1:20100605-1) unstable; urgency=low

  * New upstream.
  * Don't add tree-widget.el anymore; closes: #583697.

 -- Milan Zamazal <pdm@debian.org>  Sat, 05 Jun 2010 10:08:58 +0200

slime (1:20100220-4) unstable; urgency=low

  * Make cl-swank working with current common-lisp-controller etc.

 -- Milan Zamazal <pdm@debian.org>  Tue, 09 Mar 2010 08:37:16 +0100

slime (1:20100220-3) unstable; urgency=low

  * Don't install contrib files for XEmacs; closes: #572594.
  * Prevent printing errors about missing ChangeLog on installation.
  * Prevent printing errors when loading 50slime.el; closes: #456004.

 -- Milan Zamazal <pdm@debian.org>  Mon, 08 Mar 2010 21:04:55 +0100

slime (1:20100220-2) unstable; urgency=low

  * Fix Emacs dependencies; closes: #533725, #553484.
  * Change section to lisp.

 -- Milan Zamazal <pdm@debian.org>  Tue, 02 Mar 2010 09:55:08 +0100

slime (1:20100220-1) unstable; urgency=low

  * New upstream.
  * New comaintainer: Milan Zamazal <pdm@debian.org>.
  * Separate Debian patches into debian/patches/.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards 3.8.4 (no real change).
  * Build and install slime-refcard.pdf.

 -- Milan Zamazal <pdm@debian.org>  Sun, 21 Feb 2010 18:24:12 +0100

slime (1:20090908-1) unstable; urgency=low

  * New upstream
  * Updated README.building
  * Updated Standards-Version no real changes
  * Added dummy debian/watch file
  * Force shell to bash in doc/Makefile for bashisms

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 09:26:45 +0100

slime (1:20090816-1) unstable; urgency=low

  * New upstream 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 17 Aug 2009 12:14:25 +0100

slime (1:20090616-1) unstable; urgency=low

  [ Torsten Landschoff ]
  * slime.el: Populate slime-lisp-implementations from known common
    lisp implementations on PATH (closes: #491602).

  [ Peter Van Eynde ]
  * New upstream. Removed xref.lisp (Closes: #527524) 
  * fixed building instructions
  * New upstream version. 
    Code rewrite that (Closes: #410856)
    Also fixes the swank-in-swank problem (Closes: #457648)
  * Removed xref.lisp again and added a test in the makefile for it
    (Closes: #517205)
  * Fixed typo in swank-loader.lisp that creates spurious warnings.
    (Closes: #477265)
  * add a conflict for emacs21. xemacs. Limiting compatiblity to
    emacs22 will already be a challenge.
    (Closes: #517839, #478355)
  * Move to debhelper v7 
  * updated standard version without any real changes 
  * use dh_prep instead of dh_clean -k
  * fix debhelper dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 Jun 2009 22:38:38 +0200

slime (1:20090217-2) unstable; urgency=low

  * debian/postinst,prerm:
    - remove, since dh-lisp takes care of every Common Lisp-related
      stuff and the slime package does not need them (Closes: #518021).

 -- Luca Capello <luca@pca.it>  Fri, 13 Mar 2009 01:32:14 +0100

slime (1:20090217-1) unstable; urgency=low

  [ Luca Capello ]
  * debian/control: recommend, not depend on, cl-swank (Closes: #471863)
  * debian/control: remove trailing spaces from the long Description:

