=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
Standards-Version: 3.9.5
Homepage: http://common-lisp.net/project/slime/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

Package: slime
Architecture: all
Depends: emacsen-common, ${misc:Depends}
Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
Conflicts: emacsen-common (<< 2.0.0)
Description: Superior LISP Interaction Mode for Emacs
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).
 .
 To connect to Common Lisp implementations not running in Debian
 you need the latest CVS version of slime, NOT the old slime
 'release' version 1.2.1 or older.

Package: cl-swank
Architecture: all
Depends: cl-asdf (>= 2:1.627), ${misc:Depends}
Suggests: slime
Replaces: slime (<< 1:20050929-1)
Conflicts: slime (<< 1:20050929-1)
Description: Superior LISP Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).
