=== debian/changelog ===
slime (2:2.10.1-3) unstable; urgency=low

  * Prevent error on startup; thanks to Robert J. Macomber;
    closes: #766944.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Nov 2014 21:05:22 +0100

slime (2:2.10.1-2) unstable; urgency=low

  * Standards 3.9.6 (no real change).
  * emacsen-common dependency updated according to the current Emacs
    policy.

 -- Milan Zamazal <pdm@debian.org>  Thu, 23 Oct 2014 06:44:30 +0200

slime (2:2.10.1-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Tue, 21 Oct 2014 20:14:36 +0200

slime (2:2.9-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Sat, 09 Aug 2014 12:06:02 +0200
