## slime 2.15

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 clean-fasls:
 	find . -regex '$(FASLREGEX)' -exec rm -v {} \;
-	[ -d ~/.slime/fasl ] && rm -rf ~/.slime/fasl
+	[ ! -d ~/.slime/fasl ] || rm -rf ~/.slime/fasl
 
 clean: clean-fasls
 	find . -iname '*.elc' -exec rm {} \;
