=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary
 
 Package: slime
 Architecture: all
-Depends: emacsen-common, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), ${misc:Depends}
 Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
-Conflicts: emacsen-common (<< 2.0.0)
 Description: Superior LISP Interaction Mode for Emacs
  SLIME is the Superior Lisp Interaction Mode for Emacs.
  .
