## slime 2.17

=== debian/changelog ===
slime (2:2.17-1) unstable; urgency=low

  * New upstream.
  * debian/copyright updated.
  * Standars 3.9.8 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 14 May 2016 15:02:36 +0200
