=== debian/changelog ===
slime (2:2.20+dfsg-2) unstable; urgency=medium

  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Use secure URL for Homepage.
  * Bump Standards-Version to 4.1.4.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Apr 2018 14:30:39 +0200

slime (2:2.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Use a +dfsg suffix since xref.lisp has been stripped.
  * Rewrite d/watch from scratch (and add +dfsg suffix mangle).
  * Rewrite d/copyright using machine-readable format 1.0.
    Add xref.lisp to Files-Excluded, so that it is automatically stripped by
    uscan at each new release.
  * Remove slime-protocotol-version.patch, now obsolete since protocol version
    comes from SLIME version.
  * Rewrite d/rules using dh.
  * Bump to debhelper compat level 11.
  * Fix Vcs-Git and Vcs-Browser fields.
  * No longer Build-Depends on dh-lisp.
  * Merge Build-Depends and Build-Depends-Indep (we only build arch:all pkgs).
  * Add myself to Uploaders.
  * Remove obsolete debian/README.building.
  * reproducible-contributors-list.patch: new patch by Alexis Bienvenüe, fixes
    reproducible build issue. (Closes: #826162)
  * Remove cl-lib.patch, since we no longer ship the cl-lib.el library
    (bundled with Emacs 24).
  * Remove Recommends on xemacs21, since it is no longer supported.
  * Convert the Emacs add-on packaging to dh-elpa.
    In particular:
    - move Debian defaults configuration from emacsen-startup to
      debian-defaults.patch
    - new elpa-macrostep.patch
  * Ship the right README.md in slime, and drop duplicate docs in cl-swank.
  * noxref.patch: completely remove references to xref.lisp, so that CLISP
    works again.
  * Fix detection of info file by slime-info command.
  * Ship HTML documentation. (Closes: #873299)
  * Register documentation into doc-base. (Closes: #873300)
  * cl-swank now Enhances slime (instead of Suggesting it).
  * Refresh extended description.
  * Refresh README.Debian.
  * slime now Suggests hyperspec.
  * Bump Standards-Version to 4.1.3.
  * Support the nodoc flag in DEB_BUILD_OPTIONS.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 10 Jan 2018 18:07:20 +0100
