=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Milan Zamazal <pdm@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               texlive-generic-recommended,
               texlive-extra-utils,
               texlive,
               texinfo,
               texlive-latex-extra
Standards-Version: 4.1.4
Homepage: https://common-lisp.net/project/slime/
Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
Testsuite: autopkgtest-pkg-elpa

Package: slime
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs25 | emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3)
Suggests: hyperspec
Description: Superior Lisp Interaction Mode for Emacs (client)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).

Package: cl-swank
Architecture: all
Depends: cl-asdf, ${misc:Depends}
Enhances: slime (= ${source:Version})
Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).
