## slime 2.22+dfsg

=== debian/changelog ===
slime (2:2.22+dfsg-1) unstable; urgency=medium

  * New upstream version 2.22+dfsg

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Jul 2018 11:36:54 +0200

slime (2:2.21+dfsg-2) unstable; urgency=medium

  * paths.patch: ensure that ASDF is loaded before swank, since the patch
    introduces an ASDF symbol in swank
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.1.5
  * Mark cl-swank as M-A foreign

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 10 Jul 2018 12:19:52 +0200

slime (2:2.21+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream:
    + docbuild.patch
    + reproducible-contributors-list.patch
  * Drop dependency on cl-asdf, now that all packaged implementations ship
    with ASDF. Adapt paths.patch as a consequence.
  * Add an autopkgtest that:
    + runs the testsuite on SBCL
    + tries to load swank on ECL and CLISP
    Needs the new testsuite.patch.
    Note that autopkgtest-pkg-elpa is not well suited, because it does not run
    the testsuite in the right environment.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jun 2018 22:02:31 +0200
