=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
-Testsuite: autopkgtest-pkg-elpa
+Rules-Requires-Root: no
 
 Package: slime
 Architecture: all
@@ -45,7 +45,8 @@
 
 Package: cl-swank
 Architecture: all
-Depends: cl-asdf, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Enhances: slime (= ${source:Version})
 Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
  SLIME is the Superior Lisp Interaction Mode for Emacs.
