## slime 2.23+dfsg

=== debian/changelog ===
slime (2:2.23+dfsg-2) unstable; urgency=medium

  * Use emacs metapackage in Recommends, instead of obsolete emacs24* and
    emacs25* packages. (Closes: #923786)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Mar 2019 09:21:47 +0100

slime (2:2.23+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Migrate to new way of specifying debhelper compat level
  * Bump S-V to 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Dec 2018 18:56:18 +0100
