=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-elpa,
                texlive-generic-recommended,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
@@ -22,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${elpa:Depends}
-Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs25 | emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3)
+Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs (>= 46)
 Suggests: hyperspec
 Description: Superior Lisp Interaction Mode for Emacs (client)
  SLIME is the Superior Lisp Interaction Mode for Emacs.
