## slime 2.24+dfsg

=== debian/changelog ===
slime (2:2.24+dfsg-2) unstable; urgency=medium

  * Build-Depend on texlive-plain-generic instead of obsolete
    texlive-generic-recommended (Closes: #941549)
  * Bump S-V to 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 01:15:08 +0200

slime (2:2.24+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.4.0
  * Bump debhelper compat level to 12

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 22 Aug 2019 22:36:52 +0200
