=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
-               texlive-generic-recommended,
+               texlive-plain-generic,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
