## slime 2.26.1+dfsg

=== contrib/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 LOAD_PATH=-L . -L ..
 CONTRIBS = $(patsubst slime-%.el,%,$(wildcard slime-*.el))
+CONTRIB_TESTS = $(patsubst test/slime-%-tests.el,%,$(wildcard test/slime-*.el))
 SLIME_VERSION=$(shell grep "Version:" ../slime.el | grep -E -o "[0-9.]+$$")
 
 ELFILES := $(shell find . -type f -iname "*.el")
@@ -61,19 +62,31 @@
 
 elpa-all: $(CONTRIBS:%=elpa-%)
 
-$(CONTRIBS:%=check-%): CONTRIB_NAME=$(patsubst check-%,slime-%,$@)
-$(CONTRIBS:%=check-%): SELECTOR=(quote (tag contrib))
-$(CONTRIBS:%=check-%): compile
-	$(EMACS) -Q --batch $(LOAD_PATH) -L test                        \
-	        --eval "(require (quote slime))"                        \
-	        --eval "(slime-setup (quote ($(CONTRIB_NAME))))"        \
-	        --eval "(mapc (lambda (sym)                             \
-	                         (require                               \
-	                           (intern (format \"%s-tests\" sym))   \
-	                           nil t))                              \
-	                      (slime-contrib-all-dependencies           \
-	                        (quote $(CONTRIB_NAME))))"              \
-	        --eval "(setq inferior-lisp-program \"$(LISP)\")"       \
+$(CONTRIB_TESTS:%=check-%): CONTRIB_NAME=$(patsubst check-%,slime-%,$@)
+$(CONTRIB_TESTS:%=check-%): SELECTOR=(quote (tag contrib))
+$(CONTRIB_TESTS:%=check-%): compile
+	$(EMACS) -Q --batch $(LOAD_PATH) -L test			   \
+	        --eval "(require (quote slime))"			   \
+	        --eval "(slime-setup (quote ($(CONTRIB_NAME))))"	   \
+	        --eval "(require					   \
+                         (intern					   \
+			  (format \"%s-tests\" (quote $(CONTRIB_NAME)))))" \
+	        --eval '(setq inferior-lisp-program "$(LISP)")'		   \
 	        --eval "(slime-batch-test $(SELECTOR))"
 
-check-all: $(CONTRIBS:%=check-%)
+check-all: $(CONTRIB_TESTS:%=check-%)
+
+check-fancy: compile
+	$(EMACS) -Q --batch  $(LOAD_PATH) -L test			\
+	        --eval "(setq debug-on-error t)"			\
+	        --eval "(require (quote slime))"			\
+	        --eval "(slime-setup (quote (slime-fancy)))"		\
+	        --eval "(mapc (lambda (sym)				\
+	                         (require				\
+	                           (intern (format \"%s-tests\" sym))	\
+	                           nil t))				\
+	                      (slime-contrib-all-dependencies		\
+	                        (quote slime-fancy)))"			\
+	        --eval '(setq inferior-lisp-program "$(LISP)")'		\
+	        --eval '(slime-batch-test (quote (tag contrib)))'
+
