=== doc/Makefile ===
--- 
+++ 
@@ -55,6 +55,9 @@
 slime.pdf: $(TEXI)
 	texi2pdf $<
 
+slime-refcard.pdf: slime-refcard.tex
+	texi2pdf $<
+
 install: install-info
 
 uninstall: uninstall-info
@@ -73,7 +76,7 @@
 	(cat; git log $(LAST_CHANGELOG_COMMIT).. --format='%aN') | \
 	sort | \
 	uniq -c | \
-	sort -nr | \
+	LC_ALL=C sort -nr | \
 	sed -e 's/^[^A-Z]*//; /^$$/d' | \
 	LC_ALL=C awk -f texinfo-tabulate.awk \
 	> $@
@@ -109,4 +112,5 @@
 	rm -f slime.kys slime.log slime.pg slime.tmp slime.toc slime.tp
 	rm -f slime.vr slime.vrs
 	rm -f slime.info slime.pdf slime.dvi slime.ps slime.html
+	rm -f slime-refcard.pdf slime-refcard.log slime-refcard.aux
 	rm -rf html html.tgz
