=== debian/changelog ===
slime (2:2.26.1+dfsg-2) unstable; urgency=medium

  * emacs28.patch: new patch, fixes compatibility issue with Emacs 28
    (Closes: #982174)
  * d/upstream/metadata: add Documentation field
  * Mark autokgtest on ecl and clisp as superficial.
    On those implementations, we only try to load swank.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Feb 2021 10:14:00 +0100

slime (2:2.26.1+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sébastien Villemot ]
  * New upstream release
  * Bump to debhelper 13
  * d/rules: simplify using execute_after_* rules from debhelper 12.8
  * Bump to S-V 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Dec 2020 14:27:32 +0100
