=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                dh-elpa,
                texlive-plain-generic,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
