=== debian/tests/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 Test-Command: ecl -norc -shell debian/tests/runtests.lisp
 Depends: cl-swank, ecl
-Restrictions: allow-stderr
+Restrictions: allow-stderr, superficial
 
 Test-Command: clisp -norc debian/tests/runtests.lisp
 Depends: cl-swank, clisp
-Restrictions: allow-stderr
+Restrictions: allow-stderr, superficial
